/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.myfaces.extensions.cdi.jsf.impl.scope.conversation.spi;

import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.config.WindowContextConfig;
import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.config.ConversationConfig;

/**
 * Factory which allows to create custom instances of {@link EditableWindowContextManager}
 */
public interface WindowContextManagerFactory
{
    /**
     * Creates a {@link EditableWindowContextManager} based on the given {@link WindowContextConfig} and
     * {@link ConversationConfig}
     * @param windowContextConfig current window-context-config
     * @param conversationConfig current conversation-config
     * @return window-context-manager for the current user(-session)
     */
    EditableWindowContextManager createWindowContextManager(WindowContextConfig windowContextConfig,
                                                            ConversationConfig conversationConfig);
}
